%let progname = ebv013.sas;
* xref: ebv009.sas
* input:    e009
* output:   e013.dat
* does: Summaries of efficiencies
        Output a raw data file
********************************************************************;
libname X "";
filename OUT "e013.dat";
********************************************************************;
%macro summary(ds, var, stat, t);
proc summary  data=&ds;
  class  dist_t dist_w;
  var     &var;
  output out = _ds_   &stat = &var;
  run;

proc freq  data=_ds_ ;
  table    dist_t * dist_w;
  weight   &var;
  title2 &t;
  run;
%mend;

%summary(X.E009, ae_ort_lor, min,  "ORTH Minimum Efficiency" );
%summary(X.E009, ae_alr_lor, min,  "ALR  Minimum Efficiency" );
%summary(X.E009, ae_ort_lor, mean, "ORTH Average Efficiency" );
%summary(X.E009, ae_alr_lor, mean, "ALR  Average Efficiency" );

data A;
  set  X.E009;
  file OUT;
  put
    dist_t
    dist_w
    pi
    rho
    ae_alr_lor
    ae_ort_lor
  ;
  delete;
  run;
