# ebv020.r
# input:    e012.dat
# does:    read eff data, plot eff(pi), eff(lor) for all methods
#*******************************************************************;
junk = scan('/stu/andraca/e012.dat')
junk = matrix(junk, byrow=T, ncol=18)
dist         =  junk[,1]        #1=BB 2=MN 3=MAD
pi           =  junk[,2]        # \pi
rho          =  junk[,3]        # \rho
ae_alr_pi    =  junk[,4]        #ae of ALR for \pi
ae_alr_lor   =  junk[,5]        #ae of ALR for logOR
ae_ort_pi    =  junk[,6]
ae_ort_lor   =  junk[,7]
ae_ort2_lor  =  junk[,8]
ae_p88_pi    =  junk[,9]
ae_p88_lor   =  junk[,10]
ae_pl_pi     =  junk[,11]
ae_pl_lor    =  junk[,12]
ae_g2d_pi    =  junk[,13]
ae_g2d_lor   =  junk[,14]
ae_ch_pi     =  junk[,15]
ae_ch_lor    =  junk[,16]
ae_kn_pi     =  junk[,17]
ae_kn_lor    =  junk[,18]

rm(junk)

dist_name = c("Beta-Binomial", "Morel-Neerchal", "Madsen")

# We can change the line type with lty.  The argument is a string
# ("blank", "solid", "dashed", "dotted", "dotdash", "longdash", or
# "twodash") or an integer (0=blank, 1=solid (default), 2=dashed,
# 3=dotted, 4=dotdash, 5=longdash, 6=twodash).  The line width can be
# changed with lwd.  The default is lwd=1. lwd=2 means that the width is
# twice the normal width.


#         1          2        3         4           5           6           7
lty = c("solid", "dashed", "dotted", "dotdash", "longdash", "twodash")

lwd = 2 # thicker lines

op = par(mfrow=c(1,3))
xlim= c(0, 1.0)
ylim= c(0.5, 1)

p = 0.2

# eff for pi (== mu)
for (d in 1:3)   {
  s = (dist==d & pi==p)
  plot (0, 0, col=0,
    xlim=xlim,
    ylim=ylim,
    xlab=expression(rho),
    ylab="Efficiency"
  )
  lines(rho[s], ae_alr_pi[s], lty=lty[1], lwd=lwd )
scan()
  lines(rho[s], ae_pl_pi[s],  lty=lty[2], lwd=lwd )
scan()
  lines(rho[s], ae_ch_pi[s],  lty=lty[3], lwd=lwd )
scan()
  lines(rho[s], ae_kn_pi[s],  lty=lty[4], lwd=lwd )
scan()
  title(main=dist_name[d] )
}

scan()


# eff for the pairwise logOR
for (d in 1:3)   {
  s = (dist==d & pi==p)
  plot (0, 0, col=0,
    xlim=xlim,
    ylim=ylim,
    xlab=expression(rho),
    ylab="Efficiency"
  )
  lines(rho[s], ae_ort_lor[s], lty=lty[1], lwd=lwd )
scan()
  lines(rho[s], ae_alr_lor[s], lty=lty[2], lwd=lwd )
scan()
  lines(rho[s], ae_ch_lor[s],  lty=lty[3], lwd=lwd )
scan()
  lines(rho[s], ae_g2d_lor[s], lty=lty[4], lwd=lwd )
scan()
  lines(rho[s], ae_p88_lor[s], lty=lty[5], lwd=lwd )
scan()
  title(main=dist_name[d] )
}

scan()


# eff for logOR
xlim= c(0, 0.15)
for (d in 1:3)   {
  s = (dist==d & pi==p)
  plot (0, 0, col=0,
    xlim=xlim,
    ylim=ylim,
    xlab=expression(rho),
    ylab="Efficiency"
  )
  lines(rho[s], ae_ort_lor[s], lty=lty[1], lwd=lwd )
scan()
  lines(rho[s], ae_alr_lor[s], lty=lty[2], lwd=lwd )
scan()
  lines(rho[s], ae_ch_lor[s],  lty=lty[3], lwd=lwd )
scan()
  lines(rho[s], ae_g2d_lor[s], lty=lty[4], lwd=lwd )
scan()
  lines(rho[s], ae_p88_lor[s], lty=lty[5], lwd=lwd )
  title(main=dist_name[d] )
}

par(op)

